unordered_map File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_UNORDERED_MAP

## Typedefs

template<typename _Key, typename _Tp, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_map
template<typename _Key, typename _Tp, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_multimap

## Functions

template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (unordered_map< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (unordered_multimap< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/unordered_map.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_UNORDERED_MAP

#define _GLIBCXX_EXPERIMENTAL_UNORDERED_MAP

Definition at line 31 of file experimental/unordered_map.

## Typedef Documentation

## unordered_map

template<typename _Key, typename _Tp, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_map

Definition at line 74 of file experimental/unordered_map.

## unordered_multimap

template<typename _Key, typename _Tp, typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_multimap

Definition at line 79 of file experimental/unordered_map.